Subject: Code review?

From: Harald Nordgren <[email-masked]>
Date: Sun, 28 Dec 2025 21:16:13 +0100

Hi!

The config variable solves to problem of finding which ”goal branch” to compare to, which I otherwise find unsolvable. I took it from the previous discussion that trying to extract the default branch from the remote is not a good idea.

Is the solution through using the remote/pushRemote?

If that’s the solution they are set per branch (as I understand it), so each time checking out a new branch this ”goal branch” comparison would be lost and has to be configured again. That ruins the feature.

Looking at the git repositories I have on my machine, none of them have pushRemote set up. And the remote setting is pointing to my fork, never to upstream, I think most people have it like that.

I appreciate all the help so far! Happy new year!

Harald